### engrampa 1.28.5
  * fix autotools build failure

### engrampa 1.28.4
  * Release 1.28.4 (due to prior 1.28.3 tag)

### engrampa 1.28.3
  * Translated using Weblate (20 languages)
  * 7z, tar: Remove p7zip -l switch
  * tests: add regression test for CVE-2023-52138
  * fr-command-rpm: prevent path traversal when extracting RPM archives
  * build(deps): bump actions/checkout from 6 to 7
  * Correcting po files with errors
  * remove empty po file
  * Revert "add translation coverage badge"
  * add translation coverage badge
  * retrieve last transifex translations
  * add translation coverage badge
  * Revert "Retrieve last transifex translations"
  * Retrieve last transifex translations
  * Refers to mate-desktop/mate-terminal#487
  * fixed wrong drag&drop activation when in single click mode
  * build(deps): bump actions/checkout from 5 to 6
  * ci: restructure github actions to use the same structure for all repos
  * lha: Fix support for file names with spaces
  * lha: Use named fields instead of magic numbers
  * lha: Fix crash, parse lha list output correctly
  * fix memleaks
  * Avoid critical errors with invalid dates\rar: Fix asking password for encrypted archives with RAR7
  * rar: Fix crash with no filename
  * ci: Add a GitHub Actions build (#529)

### engrampa 1.28.2

  * Fix extract of encrypted archives
  * Fix volume split button in "Compress" window
  * src/file-utils.c: Fix "error: implicit declaration of function ‘strcasecmp’..."
  * fr-process.c: Setting error status

### engrampa 1.28.1

  * Distribute Meson build system

### engrampa 1.28.0

  * update translations
  * Use unar instead of cpio for CPIO archives
  * Add correct jar mime type
  * Fix double URI escaping
  * Escapes a string for use in a URI. replace special "# and ?" characters in uri
  * rar: Actually accept unrar-free as the executable name
  * rar: Add support for unrar-free
  * rar: Fix out of bounds read on malformed output
  * rar: Simplify and merge duplicate code
  * zip: Fix crashes on buggy zip output
  * 7z: Fix accepting RAR archives when unar-open-zip=true
  * correct translation string
  * Fix Segfault on opening .deb files after recent Debian Unstable updates
  * fix warning in Japanese translations

### engrampa 1.27.1

  * update translations
  * Check if the remaining disk space is sufficient when add extract
  * Fix MIME detection logic
  * Update to change the fallback and fix gzip issue
  * Fixed libmagic bug
  * Add "Extract to subdirectory" option
  * Add meson compilation support
  * Set the current folder of the file chooser dialog using a local file name
  * Fix failure to extract multiple files
  * Uniform file chooser dialog margin size
  * Archive do not track symbolic link
  * Fix failed restore of saved sessions
  * Add MIME aliases for gzip and bzip2
  * Replace deprecated functions and fix compilation warnings
  * command-7z: Add new 7-zip(7zz and 7zzs) project support
  * file-utils: Include <strings.h> for strcasecmp
  * action: Delete unused sort_by_entries code
  * fr-process: fix memory leak
  * UI: Remove useless code and file
  * Fix icon missing when compressing files with the right mouse button
  * Extract: add the function of automatically closing the dialog box after decompression
  * zstd: support both old and new mime type
  * fr-command-rar: Parameter 'line' can be declared with const
  * Fix archive file save as function
  * glib-utils: redundant condition
  * fix: Encrypted documents in all formats cannot be successfully pasted to the
         specified directory after copying and cutting encrypted files and folders
  * fix: Encrypted documents in. 7z format cannot delete locked files and folders
  * fr-window: fix -Wincompatible-pointer-types warning
  * file-utils: remove unused functions
  * fr-command-rar: parse date & time using strptime

### engrampa 1.27.0

  * tx: sync with transifex
  * configure.ac: The macro 'AC_HELP_STRING' is obsolete
  * tx: update resource
  * tx: migrate config file
  * Fix corrupted engrampa_main_window.png files in userguide for ca, de, el, fi, fr, it and uk.
  * Enable mouse-less navigation & reading for output dialogs
  * Accessibility: add proper mnemonic relations and labelling
  * Fix implicit conversion changes signedness: 'gboolean'
  * CI: Drop -Wunused-parameter for debian build
  * file-data: fix memory leak
  * fr-command-tar: fix memory leak
  * fr-window: fix memory leak
  * dlg-package-installer: fix memory leak
  * Fix build warnings about missing field initializer
  * Fix some -Wfloat-conversion warnings
  * Fix -Wimplicit-int-conversion warning
  * build: fix -Wmissing-prototypes warning
  * glib-utils: drop strcmp_null_tolerant
  * test-server: Remove unreachable code after calling g_error
  * glib-utils: escape_str_common should be static
  * equality comparison with extraneous parentheses
  * Use a blank line at most

### engrampa 1.26.0

  * Translations update
  * update copyright to 2021

### engrampa 1.25.1

  * Translations update
  * ar: fix filename in file list
  * dlg-package-installer: Don't build the path to packages.match
  * build: Don't install packages.match when packagekit is disabled
  * packages.match: add and run update-packages-match script
  * build: don't add twice the file engrampa.appdata.xml to CLEANFILES
  * rar 6.00: fix listing archive content with encrypted file list
  * i18n: use g_dngettext instead of ngettext
  * build: allow users to disable gettext support (--disable-nls)
  * build: Use PACKAGE_URL variable
  * build: display package name and version in configure summary
  * build: set GETTEXT_PACKAGE=AC_PACKAGE_NAME
  * update resource for transifex
  * Update copyright to 2021
  * Remove cppcheck warnings about the variable scope can be reduced
  * update issue template
  * update issue template
  * Remove USE_MATE2_MACROS from autogen.sh (legacy)
  * fr-archive: Fix memory leak
  * Add Electronic Publication (EPUB) support
  * Remove unused macros
  * update.ui: missing on_update_file_ok_button_clicked handler
  * fr-command-unarchiver: Remove trailing spaces
  * Avoid memory leak in java utils
  * Do not use stock icons in ui files (#392)
  * Update compilation instructions

### engrampa 1.25.0

  * Translations update
  * build: includes all required modules by libegg in PKG_CHECK_MODULES
  * Update compilation instructions after use of git submodule
  * add git.mk to generate .gitignore
  * dlg-update: Fix callback names for callback symbol update_cb
  * use git submodule of libegg
  * dlg-batch-add: Set labels GtkSizeGroup in ui file
  * Use callback symbols defined in ui files
  * gtk-utils: Remove _gtk_builder_get_widget
  * Remove fr-stock.c and fr-stock.h
  * build: silent build warnings for distcheck
  * help: fix and update archive format names
  * actions: expand the comment on about dialog
  * Terminate the application if the resource doesn't exists
  * gtk-utils: Remove _gtk_count_selected
  * engrampa.appdata.xml: recursive acronyms for .iso, .rpm filetypes
  * glib-utils: remove g_ptr_array_free_full
  * fr-window: duplicated code
  * Add ARC archive support
  * glib-utils: remove n_fields function
  * Add dlg-add-files.ui and dlg-add-folder.ui
  * Update authors
  * dlg-new: Adding many callbacks at once
  * new.ui: Stock icons are deprecated
  * dlg-new: Use GET_WIDGET macro
  * autoconf: get zstd mime type using libmagic if enabled

### engrampa 1.24.0

  * Translations update
  * dlg-extract: GtkFileChooserDialog instead of set extra widget
  * Fix mate-desktop URL
  * dlg-batch-add: set dialog image from icon-name instead of pixbuf
  * Fix build using gcc 10 -fno-common flag
  * fr-process: do not override LC_CTYPE

### engrampa 1.23.3

  * Translations update
  * Update copyright to 2020
  * fr-command-rpm: Use rpm2cpio binary shipped with rpm package
  * help: pull updated Italian translation with fixed msgstr
  * add source rpm to supported mime-types
  * use cpio if no binary is found
  * add a configure environment variable to select the cpio path
  * 7z: Don't set the work directory, i.e. use temporary directory
  * Check if a mime-type is an alias in compute_supported_archive_types
  * define LOCALEDIR for bindtextdomain()
  * migrate from intltool to gettext
  * Clean file type selection in new archive dialog
  * pull fixed Italian language for user-guide
  * Automatically sets the maximum size of static arrays
  * Fix localized pause UI logic

### engrampa 1.23.2

  * Translations update
  * LHA: add test for checking compressed file integrity
  * Add application/(x-compress|x-rpm|x-lzh-compressed) in local magic
  * Show archive type in properties dialog
  * Zstandard: read .tar.zst files
  * Zstandard: add test for checking compressed file integrity
  * Zstandard: Update MIME type
  * Ar: Update MIME type and add magic numbers
  * fr-command-ar: fetch dates with strptime
  * Remove internal mkdtemp and define feature test macro
  * fr-command-tar: fetch dates with strptime
  * Use mate-compiler-flags.m4 provided by mate-common
  * ar: don't remove leading whitespaces in filename field
  * i18n caja extension copyright
  * LHA: make compatible with content-type response from gio file query
  * fr-command-dpkg: fetch dates with strptime
  * dlg-prop: set property label in ui file
  * Add extract-dialog-options.ui
  * LHA: Fix internet media type
  * Use g_list_free_full and g_slist_free_full
  * dlg-prop: show the exact number of bytes as part of the size
  * dlg-prop: allow to open the archive's folder
  * remove warnings: ‘gtk_image_new_from_stock’ is deprecated
  * glib-utils & gtk-utils: Remove unused functions
  * dlg-package-installer: show icons in error dialog buttons
  * dlg-package-installer: remove warning ‘GtkStock’ is deprecated
  * gio-utils: Remove unused functions
  * glib-utils: Remove get_time_string()
  * unace 2.5: Don't show archive summary in file listing
  * tar: don't remove leading whitespaces in filename field
  * Initialization discards ‘const’ qualifier from pointer target type
  * remove warnings: "ENABLE_MAGIC" is not defined, evaluates to 0
  * comparison of integer expressions of different signedness: ‘size_t’
  * Missing initializer for struct field
  * remove warnings: cast from function call [-Wbad-function-cast]
  * remove build warning: local variable shadows another variable

### engrampa 1.23.1

  * Translations update
  * java-utils: Remove blank spaces before reading package name
  * fr-command-lrzip: Fix empty string check
  * Redundant redeclaration of ‘fr_command_is_capable_of’
  * comparison of unsigned expression >= 0 is always true
  * gtk-utils: Remove unused wrapper for gtk_builder_new_from_file
  * glib-genmarshal warning: BOOL token is deprecated
  * comparison of integers of different signs: 'int' and 'guint'
  * glib-utils: Remove unused function - g_ptr_array_copy
  * return sentence won't be never executed as it's preceded by exit
  * Add zcompress support
  * caja extension: fix icon name for compress menu item
  * fr-window: remove unused struct members
  * fr-command-unarchiver: ask password if required

### engrampa 1.23.0

  * Translations update
  * Remove trailing whitespaces
  * Update FSF address
  * [ci] Add cppcheck html report
  * Remove hard-coded 'Back' label button
  * Avoid deprecated g_type_class_add_private
  * Use the Automake variable nobase_dist_icons_DATA
  * Help: replace link linkend with xref linkend
  * file-utils: avoid out of bound memory access
  * actions: avoid use of memory after it is freed
  * fr-process: Fix memory leak: 'g_shell_quote' needs to be freed
  * fr-process: Fix memory leak: 'g_strconcat' needs to be freed
  * [Security] fr-process: avoid 'strcpy' and 'strcat'
  * enable clang analyzer
  * fr-process: Fix memory leak
  * Help: Fix version to 1.22 and update pot file
  * help: update copyright
  * Upgrade the manual to docbook 5.0
  * Support .udeb package format
  * Clean-up archive list and descriptions
  * Show version on command line

### engrampa 1.22.0

  * Translations update
  * Avoid array index out of bounds parsing dpkg-deb --info
  * warning: Use of memory after it is freed
  * Read authors (updated) from engrampa.about gresource
  * Enable Travis CI
  * eggsmclient: avoid deprecated 'g_type_class_add_private'
  * update copyright year to 2019
  * rar/unrar: Fix: "overwrite existing files" disabled must work
  * fix fr-command-cfile.c: fr_process_set_working_dir
  * fr-command-cfile.c: fix indentation
  * Added test integrity for brotli
  * Added test integrity for the cfile compressors: gzip, bzip2, etc.
  * move appdata to metainfo directory
  * fr-window: show the pause button only if the dialog is working
  * disable deprecation warnings for distcheck
  * fr-window: avoid 'gtk_dialog_add_button' with stock ids
  * fr-window: hide the progress bar if the process is paused
  * fr-window: change the info label if process is paused/resumed
  * fr-window: little improvements in the look of pause/resume button
  * Adding pause and start functions
  * Fix implementation and use of the alternative package name lookup
  * Added support for brotli (*.tar.br) compressed tar archives
  * Add brotli support
  * Use make functions for HELP_LINGUAS
  * Replace -Dokumentationteam
  * Replace -Dokumentationsprojekt with Documentation Project
  * Manual: Update file format descriptions using shared-mime-info
  * Fix url of ulinks to point to mate-user-guide
  * UNIX and Linux systems -> Linux and UNIX-like systems
  * tx: add atril help to transifex config
  * Add the ability to support 'unar' over .zip archives
  * Add support for OpenDocument formats
  * UI: on the properties dialog, focus the Close button instead of the Help button by default

### engrampa 1.21.0

  * Translations update
  * Add .a (Ar) support
  * fr-window: Replace deprecated gtk_menu_popup functions
  * fix crash on exit after using Open With dialog
  * avoid deprecated GtkStock

### engrampa 1.20.0

  * Translations update
  * require GTK+ 3.22 and GLib 2.50
  * update copyright year to 2018

### engrampa 1.19.2

  * Translations update
  * build: use PKG_CONFIG to fix cross-build
  * add our copyright to About dialog and Caja extension
  * 7z: Fix: rename files with password without the list encrypted
  * 7z: Fix: delete/rename files/folders with the list encrypted

### engrampa 1.19.1

  * Translations update
  * avoid deprecated gdk_screen_make_display_name
  * don't use deprecated gtk_show_uri
  * use a more common gtk+ function
  * avoid deprecated gdk_screen_get_number
  * Restore Polish translation credits from GNOME
  * Add the button "Show the Files and Quit" in the progress dialog
  * Fix: create zip files in "maximum" compression level

### engrampa 1.19.0

  * Translations update
  * Fix: Browsing history not correct
  * hide folders in "View All Files"
  * Fix: Wrong behavior of Skip button in Replace file dialog
  * UI files: avoid deprecations
  * gtk-utils: remove some GTK_STOCK deprecations
  * gtk-utils: avoid deprecated gtk_icon_size_lookup_for_settings
  * fr-window: fix some GTK_STOCK deprecations
  * add style class frame to scrolledwindows
  * fr-window: avoid deprecated GtkMisc and GtkAlignment
  * dlg-add-folder: avoid deprecated gtk_alignment_new ()
  * build: use variable instead of hardcoded file name when cleaning

### engrampa 1.18.0

  * check the rar/unrar version to work the new date style with all versions
  * Fix: rar file listing now shows correct date with recent binary
  * Fix: open the 7z first split volume after compress
  * Fix typo in NEWS: engrampa instead engramp
  * Fix: compress rar split into volumes
  * Fix: compress 7z split into volumes
  * build: remove option that disables deprecated stuff
  * zip: added ear and war to the supported types list
  * Update engrampa NEWS to use consistent, project wide, markdown-like 
    formatting.
  * Build: require Caja >= 1.17.1 to build against GTK+3 version
    of libcaja-extension
  * tar: add support for pixz for .tar.xz files
  * tar: add support for lbzip2 on .tar.bz2 files
  * lha: add support for Amiga files
  * Some corrections in GSettings schema
  * Translations update

### engrampa 1.16.0

  * Move to GTK+3 (require GTK+ >= 3.14), drop GTK+2 code and
    --with-gtk build option
  * Port to GtkApplication
  * Use natural sort order when sorting by filename
  * Use app chooser dialog from GTK+ for "Open With" command
    instead of custom code
  * Make "encrypt header" option insensitive if no password is
    specified
  * Give unrar priority over p7zip when processing RAR archives
  * 7z: add support for p7zip-rar >= 15.14
  * 7z: fix issues with files prefixed with '@'
  * Fix some GTK+ deprecations
  * Some more fixes and cleanups
  * Translations update

### engrampa 1.14.1

  * Translations update
  * tar: Fixed problems with backslashes
  * 'All files' is duplicated in available formats
  * fix extracting files with single-character names.

### engrampa 1.14.0

  * Drop MateConf migration script
  * Fix random crash in "open with" dialog
  * 7z: avoid problems with '?' char in filenames
  * 7z: correct checking for p7zip 15.09+
  * rar: avoid "No files to extract" message when disabling overwriting
    existing files
  * tar: allow changing contents of .txz files (like it's allowed for
    .tar.xz files)
  * unar: avoid problems with '?' char in filenames
  * Translations update

### engrampa 1.12.0

  * Retrieve strings directly from gschema (requires intltool 0.50.1)
  * Fix ngettext usage in progress dialog
  * Make extracting multiple archives to a separate dir actually work
  * Fixed overwrite check when the files to be extracted are inside a folder

### engrampa 1.10.2

  * don't crash when opening archives on network drive
  * fix extracting archives with '[' in filename
  * some more improvements

### engrampa 1.10.1

  * Help fixes
  * UI fixes

### engrampa 1.10.0

  * Fix open rar file inside a rar file
  * Drop support for Gtk+ < 2.24
  * Unifiy code as to be used in Gtk+2 and Gtk+3
  * Drop support for Glib < 2.32
  * Do not set the selected app as the system default
  * Fix possible errors with some password protected files
  * Use Caja GSettings schema optionally
  * Add ini file for caja extension
  * Add engrampa.appdata.xml
  * Fix memory leaks
  * Fixed crash when clicking Cancel in Add Files
  * use g_get_user_config_dir instead of using .config/mate
  * do not set the "last output" dialog as modal to allow the user to resize it
  * Fixed loading of multi-volume rar archives with 7zip
  * use GtkRecentAction objects to create the recent file choosers
  * Several string improvements
  * set a mnemonic for the label in the request dialog
  * Change strings to use ellipsis
  * allow to compress iso images and tar archives from the caja menu
  * Ask overwrite confirmation when extracting files with drag&drop
  * Small fixes for Gtk3 engrampa
  * Fix hyphen-as-minus-sign issues for engrampa.1 man page
  * Add keywords key to .desktop file

### engrampa 1.8.0

  * Updates to man pages.
  * Update translations.

### engrampa 1.7.2

  * Fix zip file extraction with unzip

### engrampa 1.7.x

  * Added GTK3 support (--with-gtk=3.0 configure flag)
  * Added manpage
  * Added support for RAR 5
  * Added support for unarchiver
  * Moved to yelp-tools to build documentation
  * Show always the "extract to" action in caja extension
